当前位置:  首页  >  服务器技术  >  Linux/unix  >  Linux系统

安装ruby-debug-base是mkmf(LoadError)问题的解决办法

安装ruby-debug-base是mkmf(LoadError)问题的解决办法--Linux发行版技术-Debian信息,下面是详情阅读。
当我们在基于Debian的系统上安装ruby-debug-base的时候,有时候会遇到一下错误:

Building native extensions. This could take a while...
ERROR: While executing gem ... (Gem::Installer::ExtensionBuildError)
ERROR: Failed to build gem native extension.

ruby extconf.rb install -r ruby-debug-base
extconf.rb:1:in `require': no such file to load -- mkmf (LoadError)
from extconf.rb:1

如果出现以上问题了,请安装ruby-dev,到apt里去找可以找到。安装完后就不会报错了。
吐了个 "CAO" !
扫码关注 PHP1 官方微信号
PHP1.CN | 中国最专业的PHP中文社区 | PHP资讯 | PHP教程 | 数据库技术 | 服务器技术 | 前端开发技术 | PHP框架 | 开发工具 | PHP问答
Copyright © 1998 - 2020 PHP1.CN. All Rights Reserved PHP1.CN 第一PHP社区 版权所有